@import url('https://fonts.googleapis.com/css2?family=Jura:wght@300&family=Secular+One&family=Unbounded&display=swap');


body {

  font-family: sans-serif;
   margin: 0;
   background: #FFFFFF;
}

h1 {
  text-align: center;
  margin-top: 30px;
  font-family: 'Unbounded', cursive;
  font-size: 4rem;
}

h2 {
  letter-spacing: 3px;
font-family: 'Secular One', sans-serif;
  font-size: 2rem;
}

p {
  text-align: center;
  margin-bottom:60px;
  font-family: 'Jura', sans-serif;
  font-size: 2rem;
}

h4{
  text-align:center; 
  line-height:80px;
  font-weight:normal;

}

.masonry { /* Masonry container */
    -webkit-column-count: 4;
  -moz-column-count:4;
  column-count: 4;
  -webkit-column-gap: 1rem;
  -moz-column-gap: 1rem;
  column-gap: 1rem;
   margin: 1.5rem;
    padding: 2rem;
    -moz-column-gap: 1.5rem;
    -webkit-column-gap: 1.5rem;
    column-gap: 1.5rem;
    font-size: .85rem;
}
.item {
    display: inline-block;
  border-radius: 0.5rem;
    padding: 1rem;
    margin: 0 0 1.5em;

  background-color: #ffffff;
	-webkit-transition:1s ease all;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-shadow: 0.8rem 0.8rem 1.4rem #c8d0e7,
                -0.2rem -0.2rem 1.8rem #FFFFFF;
}
.item img{max-width:100%;}

@media only screen and (max-width: 320px) {
    .masonry {
        -moz-column-count: 1;
        -webkit-column-count: 1;
        column-count: 1;
    }
}

@media only screen and (min-width: 321px) and (max-width: 768px){
    .masonry {
        -moz-column-count: 2;
        -webkit-column-count: 2;
        column-count: 2;
    }
}
@media only screen and (min-width: 769px) and (max-width: 1200px){
    .masonry {
        -moz-column-count: 3;
        -webkit-column-count: 3;
        column-count: 3;
    }
}
@media only screen and (min-width: 1201px) {
    .masonry {
        -moz-column-count: 4;
        -webkit-column-count: 4;
        column-count: 4;
    }
}





main {
display:grid;
height:100vh;
grid-template: 100% / 20% 80%;
}
section {
  color: white;
}
section:first-of-type {
  background: black;
  display: flex;
  flex-directiom: column;
  justify-content: center;
  align-items: center; 
}
a {
  text-decoration: none;
  color:#FFFFFF;
  
}
a:hover {
  color: #c8d0e7;
}
h1 {
  letter-spacing: 3px;
  font-size: 30px;
  font-weight: bold;
  margin-bottom: 45px;
}
h2 {
  front-size:65px;
}

section:last-of-type {
  background: #111;
  display: grid;
  align-content: center;
  grid-template-columns: 45% 55%;
  grid-template-rows: 1fr 1fr 1fr;
}

 .avatar {
  height: 100%;
  width: 100%;
  object-fit: cover;
  grid-row: 1 / span 3;
}
.visit-card {
  grid-row: 2;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 75px;
}
  .visit-card h2, .visit-card p {
  margin-bottom: 30px;
}

   .visit-card p {
  font-style: italic;
}
  .social-media svg {
  fill: white;
  width: 20px;
  margin-right: 10px;
}



img {
  max-width: 100%;
}

/*
sprite svg
*/
.sprite-svg {
  display: none;
}

/*
images wrapper
*/
.wrapper {
  display: block;
  width: 100%;
  max-width: 1200px;
  -moz-columns: 1;
       columns: 1;
  -moz-column-gap: 0;
       column-gap: 0;
  -moz-column-break-inside: avoid;
       break-inside: avoid;
  margin: 20px auto 50px;
}
@media (min-width: 600px) {
  .wrapper {
    -moz-columns: 2;
         columns: 2;
  }
}
@media (min-width: 800px) {
  .wrapper {
    -moz-columns: 3;
         columns: 3;
  }
}

.grid-image {
  float: left;
  width: 100%;
  padding: 4px;
}
.grid-image img {
  float: left;
  width: 100%;
}

.zoom-wrapper {
  display: none;
  position: fixed;
  left: 0;
  top: 0;
  bottom: 0;
  width: 100%;
  overflow: auto;
  background-color: black;
  background-color: rgba(0, 0, 0, 0.6);
}

.zoom-wrapper:target {
  display: flex;
}

@-webkit-keyframes top-animation {
  from {
    top: -100px;
    opacity: 0;
  }
  to {
    top: 0px;
    opacity: 1;
  }
}

@keyframes top-animation {
  from {
    top: -100px;
    opacity: 0;
  }
  to {
    top: 0px;
    opacity: 1;
  }
}
.zoom-wrapper__image {
  position: relative;
  width: 80%;
  max-width: 1000px;
  height: 100%;
  margin: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  /* animation */
  -webkit-animation-name: top-animation;
          animation-name: top-animation;
  -webkit-animation-duration: 0.5s;
          animation-duration: 0.5s;
}

.cell {
  box-flex: 1;
  flex: 1 1 auto;
}

.zoom-image {
  max-height: 100%;
}

/*
arrow navigation
*/
.navigation-arrow {
  position: fixed;
  top: 50%;
  transform: translateY(-50%);
  perspective: 1000px;
  perspective-origin: 100% 50%;
}

.navigation-arrow__left {
  left: 0;
}

.navigation-arrow__next {
  right: 0;
}

.navigation-arrow__image {
  position: absolute;
  width: 100px;
  height: 100px;
  overflow: hidden;
  transition: transform 0.3s;
}
.navigation-arrow__prev .navigation-arrow__image {
  left: 40px;
  transform: rotateY(90deg);
  transform-origin: 0% 50%;
}
.navigation-arrow__next .navigation-arrow__image {
  right: 40px;
  transform: rotateY(-90deg);
  transform-origin: 100% 50%;
}
.navigation-arrow__image img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
.navigation-arrow__prev:hover .navigation-arrow__image, .navigation-arrow__next:hover .navigation-arrow__image {
  transform: rotateY(0deg);
}

.navigation-arrow__icon {
  position: relative;
  display: block;
  width: 40px;
  height: 100px;
  padding: 6px;
  background-color: #ffffff;
}
.navigation-arrow__icon svg.icon {
  top: 50%;
  transform: translateY(-50%);
  fill: #000000;
  position: relative;
  stroke-width: 2;
  stroke: #000000;
}

.zoom-wrapper__close {
  position: fixed;
  top: 10px;
  right: 10px;
  z-index: 1;
  color: #ffffff;
  font-size: 40px;
  text-decoration: none;
  text-shadow: 0px 0px 2px rgba(0, 0, 0, 0.3);
}